#include "pw/visual/context.hpp"

#include "glad/glad.h"


namespace pw {

struct context::impl {
    void set_viewport(const point &p, const size &s)
    {
        glViewport(p.x,p.y,s.width,s.height);
    }

    void clear()
    {
        glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
    }
};

context::context()
    : _impl(std::make_unique<impl>())
{
}

context::~context()
{
}

void context::set_blend()
{

}

void context::set_viewport(const point &p, const size &s)
{
    _impl->set_viewport(p,s);
}

void context::clear()
{
    _impl->clear();
}

}


